WordPress.org

Ready to get started?Download WordPress

Forums

Google Analytics Dashboard
[resolved] Latest update broken (12 posts)

  1. oli4uk
    Member
    Posted 3 years ago #

    The latest update comes up with an error message
    Fatal error: Cannot redeclare class OAuthException in /home/xxx/public_html/wp-content/plugins/google-analytics-dashboard/OAuth.php on line 8

  2. oli4uk
    Member
    Posted 3 years ago #

    Just to clarify, there is no Oauth.php file in the folder, and this message comes up on load for the site and admin pages

  3. oli4uk
    Member
    Posted 3 years ago #

    scratch that, the file exists.

  4. Carson McDonald
    Member
    Plugin Contributor

    Posted 3 years ago #

    I bet you have another plugin that also uses the OAuth library that I'm using. Do you mind giving me a list of the plugins you are using?

  5. oli4uk
    Member
    Posted 3 years ago #

    Thats probably it, I do use another Google Analytics plugin, called Onsite Google Analytics. This displays Google Data on-page.

  6. Carson McDonald
    Member
    Plugin Contributor

    Posted 3 years ago #

    Hmmm, that plugin doesn't seem to have that class defined. Any others you can think of that you have installed that have asked you to log in using OAuth?

  7. Carson McDonald
    Member
    Plugin Contributor

    Posted 3 years ago #

    I'm putting out a new version that should fix this issue. It will be version 2.0.1, please let me know if that does or doesn't fix the problem.

  8. oli4uk
    Member
    Posted 3 years ago #

    Thanks, heading to bed now but will try it out tomorrow!

    Kind Regards

    Oli

  9. midwestkel
    Member
    Posted 3 years ago #

    Thanks for the fix man, I have YOURLS: WordPress to Twitter that uses the same class and it broke my admin when I upgraded to 2.0.0. Everything looks good now.

  10. slymongoose
    Member
    Posted 3 years ago #

    hi,
    i have version 2.0.3, but when i try to activate the plugin i'm getting the
    "Plugin could not be activated because it triggered a fatal error."

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}'

    /wp-content/plugins/google-analytics-dashboard/OAuth.php on line 11

    i tried disabling all my other plugins, but still haven't had any luck. i have this plugin running on several other sites without any problems. all are running wp 3.1

    any ideas?
    thanks!!

  11. slymongoose
    Member
    Posted 3 years ago #

    ok, found the problem!
    guess the server here was still running php 4.x
    i switched to php 5, and it works great.

  12. robertvideo
    Member
    Posted 3 years ago #

    I have having the same error issues- it owrks fine on my other WP blogs on the same server... but will NOT install on this blog DOUBLE HELP!Google Analytics Dashboard v 2.0.3 and WP version - WordPress 3.2.1. - what to do?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic